## libssh2 0.18

=== nw/Makefile ===
include Makefile.netware
