=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Replaced by autoreconf
KEEP_FILES=config.sub \
	config.guess \
	configure \
	Makefile.in \
	docs/Makefile.in \
	example/Makefile.in \
	src/Makefile.in \
	tests/Makefile.in \
	install-sh \
	ltmain.sh \
	aclocal.m4 \
	m4/libtool.m4 \
	m4/ltversion.m4 \
	depcomp \
	missing \
	win32/libssh2.dsp \
	ChangeLog

clean:
	dh_testdir
	dh_testroot

	[ ! -f Makefile ] || $(MAKE) distclean

	for i in $(KEEP_FILES); do \
		if [ -f $$i.dist ]; then \
			mv -f $$i.dist $$i; \
		fi; \
	done

	dh_clean

config.status:
	dh_testdir

	for i in $(KEEP_FILES); do \
		if ! [ -f $$i.dist ]; then \
			mv -f $$i $$i.dist; \
		fi; \
	done

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	autoreconf -fi -I m4

	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--with-libgcrypt

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs NEWS
    # Do not install auxiliary files
	dh_installexamples -X .deps -X Makefile -X .gitignore
	dh_installman
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip --dbg-package=libssh2-1-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
