=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libssh2
 Section: libs
 Priority: optional
-Maintainer: Mikhail Gusarov <dottedmag@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mikhail Gusarov <dottedmag@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev, automake, libtool, libgcrypt11-dev, zlib1g-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: libssh2-1
 Architecture: any
