=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: libssh2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mikhail Gusarov <dottedmag@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, automake, libtool, libgcrypt11-dev, zlib1g-dev
-Standards-Version: 3.9.1
+Maintainer: Mikhail Gusarov <dottedmag@debian.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, libgcrypt11-dev, zlib1g-dev, chrpath
+Standards-Version: 3.9.3
 
 Package: libssh2-1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: SSH2 client-side library
  libssh2 is a client-side C library implementing the SSH2 protocol.
  It supports regular terminal, SCP and SFTP sessions; port forwarding;
@@ -17,8 +18,6 @@
  This package contains the runtime library.
 
 Package: libssh2-1-dev
-Conflicts: libssh2-0-dev
-Replaces: libssh2-0-dev
 Section: libdevel
 Architecture: any
 Depends: libssh2-1 (= ${binary:Version}), ${misc:Depends}
