## libssh2 1.4.2

=== debian/changelog ===
libssh2 (1.4.2-1.1+deb7u8) wheezy-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix CVE-2019-17498:
    In libssh2, the SSH_MSG_DISCONNECT logic in
    packet.c has an integer overflow in a bounds check, enabling an attacker to
    specify an arbitrary (out-of-bounds) offset for a subsequent memory read. A
    crafted SSH server may be able to disclose sensitive information or cause a
    denial of service condition on the client system when a user connects to
    the server.

 -- Markus Koschany <apo@debian.org>  Mon, 04 Nov 2019 20:02:57 +0100

libssh2 (1.4.2-1.1+deb7u7) wheezy-security; urgency=medium

  * Non-maintainer upload by the ELTS team.
  * debian/rules: (Now really!) Drop --enable-debug configure option (again).
    It was forgotten to be removed before uploading +deb7u5.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Jul 2019 20:40:09 +0200

libssh2 (1.4.2-1.1+deb7u6) wheezy-security; urgency=medium

  * Non-maintainer upload by the ELTS team.
  * debian/rules: Drop --enable-debug configure option (again).
    It was forgotten to be removed before uploading +deb7u5.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Jul 2019 20:35:24 +0200

libssh2 (1.4.2-1.1+deb7u5) wheezy-security; urgency=medium

  * Non-maintainer upload by the ELTS team.
  * CVE-2019-3859:
    - CVE-2019-3859 (+ CVE-2019-13115): Correctly check key_state data length
      in kex_method_diffie_hellman_group_exchange_sha1_key_exchange() in kex.c.
      Avoid various signedness flaws introduced by the initial fix(es) around
      CVE-2019-3859 (regression CVE registered as CVE-2019-13115).
    - Add CVE-2019-3859-4_channel-c.patch and CVE-2019-3859-5_userauth-c.patch.
      Derived by manually comparing upstream security fix commit
      dc109a7f518757741590bb993c0c8412928ccec2 against what we had in
      Debian jessie LTS's versions of libssh2, so far.
    - This completes a series of fixes unfortunately only partially provided
      in earlier security uploads of libssh2 to Debian jessie LTS.
      Due to non-optimal CVE documentation and the manifold of upstream security
      changes before libssh2 1.9, it hasn't been easy to identify all
      necessary changes to fix the recent CVEs (2019-3855 - 2019-3863).
      Furthermore, for a non-upstream dev it has neither been easy to identify
      which upstream fix was for which CVE.
  * Add additional-bounds-checks-in-diffie_hellman_sha1.patch. Additional
    bound checks in diffie_hellman_sha1.
  * CVE-2019-3860:
    - Additional bounds checking in sftp.c.
    - Use LIBSSH2_ERROR_BUFFER_TOO_SMALL instead of
      LIBSSH2_ERROR_OUT_OF_BOUNDARY in sftp.c

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 25 Jul 2019 00:29:58 +0200

libssh2 (1.4.2-1.1+deb7u4) wheezy-security; urgency=high

  * Non-maintainer upload by the ELTS Team.
  * CVE-2019-3859: Regression fix. Fix user authentication.
    See https://github.com/libssh2/libssh2/pull/327 for details.
    Thanks to Salvatore Bonaccorso for noticing this.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 06 Apr 2019 19:43:02 +0100

libssh2 (1.4.2-1.1+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the ELTS Team.
  * CVE-2019-3855: Do packet length bounds check in _libssh2_transport_read()
    (src/transport.c).
  * CVE-2019-3856, CVE-2019-3863: Bounds checks in
    userauth_keyboard_interactive() (src/userauth.c). 
  * CVE-2019-3857: Fix possible out zero byte/incorrect bounds allocation
    in _libssh2_packet_add() (src/packet.c).
  * CVE-2019-3858: Prevent zero-byte allocation in sftp_packet_read()
    which could lead to an out-of-bounds read.
  * CVE-2019-3859: Response length check in session_startup()
    (src/transport.c), and bounds checks in various functions
    (src/kex.c, src/channel.c).
  * CVE-2019-3860: Add a required_size parameter to sftp_packet_require
    et. al. to require callers of these functions to handle packets that
    are too short.
  * CVE-2019-3861: Sanitize padding_length - _libssh2_transport_read().
    This prevents an underflow resulting in a potential out-of-bounds read
    if a server sends a too-large padding_length, possibly with malicious
    intent.
  * CVE-2019-3862: Additional length checks to prevent out-of-bounds
    reads and writes in _libssh2_packet_add().
 
 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 27 Mar 2019 19:03:02 +0100

libssh2 (1.4.2-1.1+deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2016-0787: Truncated Difffie-Hellman secret length

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 18 Feb 2016 20:29:28 +0100

libssh2 (1.4.2-1.1+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2015-1782.patch.
    CVE-2015-1782: Using SSH_MSG_KEXINIT data unbounded.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 06 Mar 2015 18:46:50 +0100

libssh2 (1.4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Added patch to fix pkg-config/libgcrypt dependency (Closes: #675785).
  * Install upstream ChangeLog (Closes: #675782).
  * debian/control:
    + libssh2-1-dev to depend on libgcrypt11-dev.
    + added Homepage field.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 04 Aug 2012 19:13:21 +1000

libssh2 (1.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Mikhail Gusarov <dottedmag@debian.org>  Mon, 28 May 2012 17:41:48 +0200

libssh2 (1.4.1-1) unstable; urgency=low

  * New upstream release.
    - Drop debian/patches/undefined-libssh-error.patch, upstream.

 -- Mikhail Gusarov <dottedmag@debian.org>  Sun, 08 Apr 2012 16:39:12 +0200
