=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 CONFIGURE_EXTRA_FLAGS += --with-libgcrypt
 CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 CONFIGURE_EXTRA_FLAGS += --disable-rpath
+#CONFIGURE_EXTRA_FLAGS += --enable-debug
 
 %:
 	dh $@ --parallel --with autoreconf
@@ -15,6 +16,9 @@
 override_dh_installexamples:
 	dh_installexamples -a -X .deps -X Makefile -X .gitignore
 
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
+
 #
 # mansyntax.sh test duplicates functionality of debhelper and requires presence
 # of en_US.utf8 locale. Ensure it is not run by providing fake man(1) tool.
