=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Mikhail Gusarov <dottedmag@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, libgcrypt11-dev, zlib1g-dev, chrpath
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
+Homepage: http://libssh2.org/
 
 Package: libssh2-1
 Architecture: any
@@ -20,7 +21,8 @@
 Package: libssh2-1-dev
 Section: libdevel
 Architecture: any
-Depends: libssh2-1 (= ${binary:Version}), ${misc:Depends}
+Depends: libssh2-1 (= ${binary:Version}), ${misc:Depends}, libgcrypt11-dev
+Multi-Arch: same
 Description: SSH2 client-side library (development headers)
  libssh2 is a client-side C library implementing the SSH2 protocol.
  It supports regular terminal, SCP and SFTP sessions; port forwarding;
@@ -33,6 +35,7 @@
 Priority: extra
 Architecture: any
 Depends: libssh2-1 (= ${binary:Version}), libssh2-1-dev (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: SSH2 client-side library (debug package)
  libssh2 is a client-side C library implementing the SSH2 protocol.
  It supports regular terminal, SCP and SFTP sessions; port forwarding;
