=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 CONFIGURE_EXTRA_FLAGS += --with-libgcrypt
 CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 CONFIGURE_EXTRA_FLAGS += --disable-rpath
-#CONFIGURE_EXTRA_FLAGS += --enable-debug
 
 %:
 	dh $@ --parallel --with autoreconf
