=== debian/watch ===
version=3
http://libssh2.org/download/libssh2-(.+)\.tar\.gz
