## libssh2 1.8.0

=== debian/changelog ===
libssh2 (1.8.0-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: out of bounds memory access
    - debian/patches/CVE-2020-22218.patch: adds check for uninitialized
      variable total_num in _libssh2_transport_read of src/transport.c.
    - CVE-2020-22218

 -- Ian Constantin <ian.constantin@canonical.com>  Thu, 14 Sep 2023 12:01:35 +0300

libssh2 (1.8.0-1) unstable; urgency=low

  * New upstream release.
    - Refresh 0001-Add-lgpg-error-to-.pc-to-facilitate-static-linking.patch
    - Refresh 0001-Do-not-expose-private-libraries-nor-link-flags-to-us.patch
    - Take ced924b78a40126606797ef57a74066eb3b4b83f.patch from upstream
  * Do not build against OpenSSL even if libssl-dev is installed
    (Closes: #857793).

 -- Mikhail Gusarov <dottedmag@debian.org>  Thu, 16 Mar 2017 00:56:58 +0100
