=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Mikhail Gusarov <dottedmag@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, libgcrypt20-dev, zlib1g-dev, chrpath
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://libssh2.org/
 
 Package: libssh2-1
