=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-CONFIGURE_EXTRA_FLAGS += --with-libgcrypt
+CONFIGURE_EXTRA_FLAGS += --with-libgcrypt --without-openssl
 CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 CONFIGURE_EXTRA_FLAGS += --disable-rpath
