## libssh2 1.8.0.1

=== debian/changelog ===
libssh2 (1.8.0.1-2.1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 9ec70a90b9209e2f21454a5a05ddceb5cdd38246']

 -- shuttle <shuttle@deepin.com>  Thu, 30 Jul 2020 13:31:03 +0000
