=== debian/changelog ===
libssh2 (1.10.0-3) unstable; urgency=medium

  * d/patches: Fix ssh2.sh test (Closes: #1006379)
  * d/control: Add openssh-server in Build-Depends
  * d/tests/control: Add openssh-server in Depends
  * d/copyright: Update copyright years

 -- Nicolas Mora <babelouest@debian.org>  Tue, 01 Mar 2022 19:23:12 -0500

libssh2 (1.10.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: upgrade standards version to 4.6.0

 -- Nicolas Mora <babelouest@debian.org>  Sat, 25 Sep 2021 08:43:37 -0400

libssh2 (1.10.0-1) experimental; urgency=medium

  * New upstream release
  * d/patches: remove CVE-2019-17498.patch
  * d/libssh2-1.symbols: add new symbol

 -- Nicolas Mora <babelouest@debian.org>  Sun, 29 Aug 2021 17:21:29 -0400
