=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
              , libssl-dev
              , zlib1g-dev
              , chrpath
-Standards-Version: 4.5.1
+             , openssh-server
+Standards-Version: 4.6.0
 Homepage: https://libssh2.org/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libssh2
