=== debian/watch ===
version=4
https://www.libssh2.org/download/libssh2-(.+)\.tar\.gz
pgpmode=auto
